2003-10-21  Roland Mas  <99.roland.mas@aist.enst.fr>

	* www/pm/gantt.php: Exit with a (more) helpful message if the
	JPGraph package is not installed.

	* www/include/languages/French.tab: Couple of minor fixes.

	* www/docman/include/doc_utils.php: "All languages" in language
	selection dropdown menu is now * rather than 0.

	* www/docman/index.php: Taking that change into consideration, we
	now set $language_id to 0 if we get "*" as a CGI value.  This
	means we can distinguish between undefined $language_id and "all
	languages", so that selecting "All languages" in a docman really
	shows documents from all languages.

2003-10-18 Christian Bayle <bayle@debian.org>
	
	* Applied various patch
	#547: Fix syntax typo of mailing_lists_create.php (Hidenari Miwa)
	#554: skills_utils.php missing a double quote     (Mitch Murphy )
	#550: Mandatory login for gforge remastered       (Ramon van Alteren)
	#540: Changes for Project Summary and Admin pages (Mathieu Peltier)
	#546: Fix of mail by Developer Profile page.      (Hidenari Miwa)
	#545: Tracker i18n                                (Hidenari Miwa)
	#544: Document manager i18n                       (Hidenari Miwa)
	#542: Bookmark page link                          (Hidenari Miwa)
	#475: PluginManager show comments before HTML (Vicente J. Ruiz Jurado)
	
2003-10-08 Tom Copeland  <tom@infoether.com>

	* www/mail/admin/index.php:
	Fixed bug [ #538 ] Password not sent for new mailing-lists

2003-10-05  Roland Mas  <99.roland.mas@aist.enst.fr>

	* www/include/languages/French.tab: Fixed truncated about_blurb on
	the homepage.

	* www/themes/osx/Theme.class: Localised Log In/Log Out/My Account/New
	Account texts for the OSX theme.

	* www/include/Layout.class: Use /etc/gforge/custom/index_std.php
	if it exists (patch #525 by Francisco Gimeno).

	* www/include/languages/Korean.tab, SimplifiedChinese.tab: Removed
	English strings.  They are unneeded, and since they're quite
	possibly outdated they can even be harmful since they override the
	default (up-to-date) English version.

	* www/include/languages/Esperanto.tab, Spanish.tab: Replaced HTML
	escape codes with proper UTF-8 encoded characters.

	* www/include/languages/Base.tab, French.tab: Fixed duplicate
	"Project Public Description" in the registration page: the first
	one should read "Project Purpose And Summarization".

2003-10-04  Roland Mas  <99.roland.mas@aist.enst.fr>

	* www/include/Layout.class: Replaced Log In/Log Out/My Account/New
	Account images with proper text (Gforge theme).  Easier to
	localise, easier to scale up, less ugly.

	* www/include/languages/Base.tab, French.tab, Italian.tab,
	Spanish.tab: Localised text for the change above.

2003-10-03  Roland Mas  <99.roland.mas@aist.enst.fr>

	* www/include/languages/French.tab: Fixed "You could post if you
	were [nothing]" bug in French.

2003-09-30 Michael Jennings  <mej@eterm.org>

	* gforge.spec:
	Updated to 3.0-2 release.
	Replaced distro-specific package dependencies with distro-agnostic
	dependencies.  Individual distros may "correct" dependencies if
	needed, but the primary spec file should remain as neutral as
	possible.

	* contrib/gforge-3.0-init_sql.patch:
	Added db/20030513.sql.  Thanks to Andrew Bainbridge-Smith
	<Andrew.Bainbridge-Smith@canterbury.ac.nz> for pointing out the
	problem.

2003-09-30  Roland Mas  <99.roland.mas@aist.enst.fr>

	* common/include/User.class: Use default system theme for users
	who haven't chosen one yet (patch #531 from Francisco Gimeno).

2003-09-23  Roland Mas  <99.roland.mas@aist.enst.fr>

	* common/include/User.class: Removed empty lines in SSH authorized
	keys, see bug [ #492 ].

	* www/my/index.php: Fixed layout of the "monitored files" and
	"monitored forums" sections: the "You're not monitoring" message
	is not displayed in <strong> rather than <h3>, and the explanation
	below is in normal <p>.  That means the my/no_monitored_* entry in
	hte *.tab files has been split into itself (for the message) and
	my/no_monitored_*_details (for the explanation).

	* www/account/change_email.php: Removed duplicate colon from PHP,
	it belongs in the *.tab files.

	* www/download.php: Suppressed an SQL warning.

2003-09-21  Roland Mas  <99.roland.mas@aist.enst.fr>

	* www/register/projectinfo.php: Removed unnecessary hardcoded <h3>
	tag.  It's in the *.tab files anyway.

	* www/account/editsshkeys.php: Mentioned the delay in updating the
	authorized_keys file.

	* www/include/languages/Base.tab and other *.tab files: Fixed a
	few strings appearing in the project registration pages.

2003-09-18

	* [Christian] Applied Antoine Nivard suggestion to correct [ #505 ]
        Removed tracker tab when tracker is disabled in Layout.class

2003-09-17  Bo Jangeborg  <bo@softwave.se>

	* www/include/languages/Swedish.tab: full translation.

2003-09-17  Roland Mas  <mas@echo.fr>

	* docs/debian-guide.html: A few fixes, s/debian-sf/gforge/ and
	adding my own pages.

2003-09-16 Tom Copeland  <tom@infoether.com>

	* www/include/languages/Base.tab:
	Fixed bug [ #500 ] http://gforge.org/docs/site/ = 404

	* common/include/Group.class:
	Fixed bug [ #481 ] Group creation does not rollback 
	if FRSPackage not created

2003-09-15 Tom Copeland  <tom@infoether.com>

	* www/survey/admin/show_questions.php:
	Applied patch [ #498 ] Patch to fix tab problem in surveys

	* www/tracker/add.php:
	Applied patch [ #504 ] May Detailed description be wider 
	in tracker submissions?

2003-09-12 Tom Copeland  <tom@infoether.com>

	* gforge.spec:
	Applied patch [ #516 ] RPM dependency fixes

2003-09-09  Roland Mas  <mas@echo.fr>

	* www/include/languages/French.tab: A few encoding fixes and
	spelling errors.

2003-09-05 Tom Copeland  <tom@infoether.com>

	* common/include/Group.class:
	Fixed bug [ #494 ] "Project Approved" don't send e-mail

	* www/include/features_boxes.php
	Applied patch [ #490 ] Deleted projects can appear inside 
	the "Most Active this week" section

	* www/mail/admin/index.php
	Applied patch [ #497 ] Patch for problems mailing feedback
	 on new project registration (actually, new list creation)

	* www/forum/new.php
	Applied patch [ #502 ] Patch to permit anonymous users to 
	post in forum
	
2003-08-22  Roland Mas  <99.roland.mas@aist.enst.fr>

	* www/include/languages/French.tab: a few UTF-8 fixes;
	* .../Spanish.tab: fixed HTML-escaped HTML tags.

2003-08-15 Tom Copeland  <tom@infoether.com>

	* www/include/languages/Base.tab:
	Fixed bug [ #487 ] Stats graph has funky title
	
	* www/my/index.php:
	Fixed bug [ #488 ] Can't unmonitor forum from 'My Page' link
	
2003-08-14 Michael Jennings  <mej@eterm.org>

	* gforge.spec:
	Updated to 3.0 release.

	* contrib/gforge-3.0-*.patch
	Patches resynced to 3.0 release.

	* contrib/gforge.conf
	Added Apache config file from SRPM.
	
2003-08-12 Tom Copeland  <tom@infoether.com>

	* common/include/User.class:
	Fixed bug [ #480 ] Confirmation email does not reflect language choice
	
2003-08-08 Tom Copeland  <tom@infoether.com>

	* www/search/index.php:
	Fixed bug [ #477 ] www/search/index.php ignores $limit
	
	* www/project/showfiles.php
	Fixed bug [ #377 ] OSX Theme: text is displayed twice

2003-08-05 Tom Copeland  <tom@infoether.com>

	* cronjobs/cvs-cron/history_parse.php:
	Converted from Perl to PHP.  Note that you can generate older stats
	by running it with an argument in days, like "./history_parse.php 120",
	which would populate the past 120 days of stats.

	* www/include/project_home.php:
	Fixed bug [ #476 ] Trove descriptions have slashes in them

2003-07-29 Christian Bayle	<bayle@debian.org>

	* Don't allow to go in QRS if no package is defined or activ
	in www/project/admin/editpackages.php
	Before you could go to qrs.php with no package
	defined, what was rather confusing, the only choice was to come back
	on editpackages.php by a non obvious link.
	* Some enhancement/correction when qrs.php fails (Try to keep as much 
	as possible already given datas)

2003-07-28 Tom Copeland  <tom@infoether.com>

	* www/snippet/detail.php:
	Fixed bug [ #459 ] Snippet formatting is a bit off

	* www/snippet/browse.php:
	Implemented feature[ #457 ] Snippet titles could be hyperlinked

2004-07-25  Reinhard Spisser <reinhard@spisser.it>

	* www/include/languages/Base.tab:
	Bug [455]: removed link to /docs/site


2003-07-24  Roland Mas  <99.roland.mas@aist.enst.fr>

	* www/include/languages/Dutch.tab: Dutch language update from
	Patrick Lemmens.

2003-07-21 Tom Copeland  <tom@infoether.com>

	* www/account/index.php:
	Bug [ #441 ] Missing time tracker page

2003-07-18 Christian Bayle	<bayle@debian.org>

	* Reordered and commented loadLanguage in BaseLanguage.tab
	Local customizations have now priority 

2003-07-20 Reinhard Spisser <reinhard@spisser.it>

	* Italian.tab:
		Some translations
	* www/themes/gforge/images/it_*.png:
		Corrected background problems
		
	* www/admin/index.php:
		Added dropdown to select project status (D, P, A, H)
	* www/include/languages/Base.tab,www/include/languages/Italian.tab
	Changed string admin_index groups_with to admin_index groups_with_status

2003-07-18 Christian Bayle	<bayle@debian.org>

	* Applied patch for controlleroo.php. Bug [ #443 ]

2003-07-11 Tom Copeland  <tom@infoether.com>

	* www/themes/gforge/images/:
	Patch [ #434 ] Gforge theme Spanish images; thx to Vicente Ruiz

2003-07-10 Tom Copeland  <tom@infoether.com>

	* www/stats/site_stats_utils.php, projects.php, graphs.php:
	Bug #399; project stats page works better now, removed duplicate
	graph from site graphs page.

	* www/project/admin/qrs.php:
	Bug #344: Date/Time field was not being set properly in file releases

	* www/tracker/browse.php, www/include/languages/Base.tab:
	RFE #301: number of comments in the tracker-list
	
2003-07-02 Christian Bayle	<bayle@debian.org>

	* Corrected bad colspan in www/people/people_utils.php close patch
	#482 from Paul Gibbbs (djpaul)
	
2003-07-02 Christian Bayle	<bayle@debian.org>
	* common/include/account.php
	Check if the unix user account exist with a exec(getent...) and refuse
	to create if exists
	
2003-06-23 Tom Copeland  <tom@infoether.com>

	* www/project/stats_graph.php:
	Fixed bug that I introduced into graphs - y axis data was backwards.
	
2003-06-19 Tom Copeland  <tom@infoether.com>

	* www/stats/lastlogins.php:
	Spruced up lastlogins a bit; made it look more like everything else.
	
2003-06-17 Christian Bayle	<bayle@debian.org>

	* Applied patch #395 and #394 for groupisactivecheckboxpost
	and groupisactivecheckbox hooks
	* Applied patch #407 Tab problem: To Solve Bug #396 thanks to
	Francisco Gimeno

2003-06-17 Tom Copeland  <tom@infoether.com>

	* www/project/stats_graph.php:
	Graphs occasionally had wrong dates along the xaxis; this
	was happening because the SQL statement had an offset 
	of 23 which wasn't working for months that don't have 30 
	days.  I think.
	* www/include/user_home.php:
	Fixed bug #380: users.{sys_default_domain} hardcoded and 
	ignores users_host in gforge.conf
	
2003-06-13 Tom Copeland  <tom@infoether.com>

	* www/admin/index.php:
	Added a link to the "recent logins" page.
	
2003-06-13 Christian Bayle	<bayle@debian.org>

	* Added Patch #307 Ronald Petty cvs browser as an alternate cvs browser
	* Added Patch #317 Dracos Moinescu cvs browser as an alternate cvs browser
	* Applied Patch #389 Hidenari Miwa & Tsutomu Tominaga Email i18n patch
	this is a tricky patch, I hope won't break everything in mail sending
	rather untested
	* Applied Patch #388 Speed-ups to www/my/index.php thanks to Jeff Fynboh
	yet another trick patch.

2003-06-09  Roland Mas  <99.roland.mas@aist.enst.fr>

	* common/include/Group.class: Send a different project submission
	email to the submitter and the site admins.  Submitter was sent a
	link to approve-pending.php, which she could of course not use.
	Added entries to Base.tab and French.tab accordingly.

2003-05-30 Tom Copeland  <tom@infoether.com>

	* www/my/index.php:
	Fixed bug #381 - My Tracker Items grouping was messed up.
	
	* www/people/create.php,index.php:
	Fixed bug #382 - On the project admin page, "Post Jobs" and 
	"Edit Jobs" were missing headers

	* Various files in www/snippet/ and www/survey:
	Fixed bug #374 - There are several $language-> instead of $Language->.  
	Thanks to Vicente Ruiz for the pointers.

	* www/include/feature_boxes.php
	Fixed bug #373 - "Top Project Downloads" in feature_boxes should 
	not show deleted projects
	
2003-05-30 Roland Mas  <lolando@debian.org>

	* Changed the LDAP setup: we're now using an official OID space
	inside the Debian OID space.  Fixed attribute and objectclass
	names in the schema, and other files, accordingly.

2003-05-23 Tom Copeland <tom@infoether.com>

	* common/include/Stats.class, www/top/toplist.php, www/top/mostactive.php,
	www/top/index.php.
	"Top pageviews" and "Top downloads" both work now.

2003-05-21 Christian Bayle	<bayle@debian.org>

	* Applied Tony Guntharp (fusion94) patch #366. Description follow
	 when you have private groups in the gforge DB and they
	 have had downloads then they are visible under top
	 download in feature boxes. you still cant actually view
	 the project w/o the proper perms.
	 this is just a quick fix to the sql statement that
	 checks to see if it's private or public and to only
	 display public projects.

2003-05-21 Tom Copeland <tom@infoether.com>

	* common/frs/FRSRelease.class
	Fixed bug # 343; release name field checks were a bit strict.

2003-05-21 Reinhard Spisser <reinhard@spisser.it>

	* www/include/languages/Spanish.tab:
	Applied patch #350: Spanish translation. Thanks to Vincente Ruiz and 
 	his team.
   
2003-05-20 Tom Copeland <tom@infoether.com>

	* www/my/index.php, common/forum/ForumsForUser.class, 
	common/pm/ProjectTasksForUser.class, common/tracker/ArtifactsForUser.class
	Applied patch #349: Refactoring of the www/my/index.php page. Thanks to
	Jeff Fynboh for the code.
	
	* www/top/toplist.php,index.php:
	Made the "Top forum posts" work.

2003-05-19 Tom Copeland <tom@infoether.com>

	* common/include/User.class:
	Applied patch #353: theme and User.class problems

2003-05-17 Tom Copeland <tom@infoether.com>

	* www/top/most_active.php:
	Shortened the activity percentage to two decimal places.
	
	* www/include/languages/Base.tab,www/help/tracker.php:
	Applied patch #348, thanks to Vicente Ruiz for the code.

2003-05-14 Tom Copeland <tom@infoether.com>

	* www/top/most_active.php:
	Fixed bug # 345 - "most active all time" works now.

2003-05-13  Roland Mas  <99.roland.mas@aist.enst.fr>

	* db/20030513.sql: New file.  Adding an "enabled" column to the
	themes table, defaulting to true.

	* www/themes/index.php: Filter on that column when displaying the
	list of themes.

2003-05-13 Tom Copeland <tom@infoether.com>

	* cronjobs/project_weekly_metric.php, 
	cronjobs/project_weekly_metric-backfill.php:
	Cleaning up the SQL; it was doing INSERTs into a table that wasn't
	getting created.  Thanks to Ben Forsyth for the report.

2003-05-07  Reinhard Spisser <reinhard@spisser.it>

	* www/forum/forum.php:
	fix bug #214: Forums: next 50 and previous 50 on W2000

	* www/themes/gforge/it_login.png, www/themes/gforge/it_logout.png,
	www/themes/gforge/it_my_account.png, www/themes/gforge/it_newaccount.png
	www/include/languages/Base.tab:
	new italian icons for gforge theme, some more translations
		
2003-05-06 Tom Copeland <tom@infoether.com>

	* www/soap/SoapAPI.php:
	Added a few new methods - getNumberOfProjects, getNumberOfUsers

	* contrib/soapclients/java:
	Added an initial Java SOAP client implementation

	* common/include/GForge.class:
	A new class with some utility methods to get the number of users
	and projects hosted by a GForge server.

	* www/include/features_boxes.php:
	Refactoring some SQL into the new GForge.class.

	* www/forum/admin/index.php, common/forum/ForumFactory.class:
	Fixed bug #327: Add problems when you don't have forums
	
	* cronjobs/cvs-cron/usergroup.php:
	Fixed bug #262: First line of CVS cron .php files need "-q" to prevent cron mail on clean runs

2003-05-02  Reinhard Spisser <reinhard@spisser.it>

	* www/pm/include/ProjectTaskHTML.class,
	common/pm/ProjectTask.class:
	bug 319: warning in task manager

	* www/include/languages/Italian.tab:
	translations

2003-05-01 Tom Copeland <tom@infoether.com>
	
	* www/mail/admin/index.php: 
	Bug 323: Link to "administrate this list" was hardcoded HTTPS

	* www/admin/grouplist.php: 
	RFE #179: Groups & users list sortable

	* www/snippet/add_snippet_to_package.php: 
	RFE #305: Adding code snippet to code snippet package

2003-04-28  Reinhard Spisser	<reinhard@spisser.it>

	* common/include/utils.php:
	bug 52: Path to sendmail is hardcoded

	* www/top/index.php:
	bug 70: commented links to not-working stats pages

	* www/include/languages/German.tab: 
	fixed bug #303: Statistikien->Statistiken

	* www/include/languages/Italian.tab:
	some translations, fixes, removed double strings

2003-04-28 Tom Copeland <tom@infoether.com>

	* www/include/project_home.php: Bug #320: Developer count 
	needs to check user.status.

2003-04-25 Tom Copeland <tom@infoether.com>

	* contrib/cmd-line-prototype.tar.gz: Patch #160 - Richard's 
	command line API prototype.

2003-04-24 Tom Copeland <tom@infoether.com>

	* www/survey/admin show_results_aggregate.php: Fixed bug 315: survey a
	results were not displayed correctly in PG 7.2
	* common/tracker/Artifact.class: Fixed bug 311: double-submitting code 
	was catching similar items that were in different projects

2003-04-20  Roland Mas  <lolando@debian.org>

	* common/include/Group.class: Send new project registration,
	approval, and rejection emails in the language of the recipient
	rather than the language of the user causing the email to be sent
	(project registrator or armin approving/rejecting the project).

2003-04-09  Christian Bayle	<bayle@debian.org>

	* rewrote tarballs download in such a way that only project admins can
	download
	* reordered records in Base.tab plus some cleaning
	* added checktab.sh in tools dir to check .tab files
	* reordered records in French.tab
	* Made a beautiful table to list exixting forums in forum add
	* Added darkaqua theme from Patrick McFarland (diablod3)
	* Applied patch from Vincente Ruiz that fix Browser language selection
	if you are not logged in
	* Removed unwanted translation in admin/groupedit.php as remarked by
	Jeff Fynboh (jfynboh) in patch #290
	* Applied Paul Kneeland (paulkneeland) patch about trove #277
	please test

2003-04-06  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/include/html.php: HTML-ify special chars in select boxes.

	* www/include/languages/Base.tab(pm_reporting:report_note) Fix
	HTML.
	(pm_reporting:error_min_name_length,error_min_desc_length): Fix
	tabification.
	(pm_admin_projects:change_project_intro): Remove extraneous <p>.
	(pm_admin_projects:no_projects_fount): Fix HTML.

	* www/pm/index.php: valid XHTML 1.0 Transitional.

	* www/pm/include/ProjectGroupHTML.class: ditto.

	* www/pm/browse_task.php: ditto.

	* www/pm/add_task.php: ditto.

	* www/pm/mod_task.php: ditto.

	* www/pm/ganttpage.php: ditto.

	* www/pm/reporting/index.php: ditto.

	* www/include/HTML_Graphs.php: ditto.

	* www/include/tool_reports.php: ditto.

	* www/pm/admin/index.php: ditto.

2003-03-16  Christian Bayle  <bayle@debian.org>

	* add unix_box and cvs_box argument to the create funtion
	in Group.class

2003-03-16  Christian Bayle  <bayle@debian.org>

	* Uncommented display CVS write in project/admin/userperms.php

2003-03-14  Reinhard Spisser  <reinhard@spisser.it>

	* common/pm/ProjectTask.class:
	Fix bug # 231: Assignee not registered

	* www/include/languages/Italian.tab
	Translations

	* www/include/html.php
	Added a parameter pos_100 to  html_build_select_box_from_arrays,
	so that you can decide if you wish to have the 'none'
	on the top (default) or at the bottom of the list

	* www/pm/browse_task.php:
	Fix bug # 216: Category: missing "None"

	* www/survey/admin/show_results_aggregate.php:
	Fix bug # 244: survey: pg_atoi_error

2003-03-12  Roland Mas  <lolando@debian.org>

	* db/20030312.sql: New file: the start_date of a task is now
	constrained to be <= to its end_date (instead of < previously).

2003-03-10  Reinhard Spisser  <reinhard@spisser.it>


	* www/include/languages/SimplifiedChinese.tab:
	Committing Simon Lei's translations to Chines

	* www/include/languages/Italian.tab
	translations


2003-03-08  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/people/index.php: valid XHTML 1.0 Transitional.

	* www/people/people_utils.php(people_header): remove
	unneeded </strong>.
	(people_show_job_inventory): valid XHTML.

	* www/include/languages/Base.tab(people:about_blurb): XHTML-ise.

2003-03-07  Reinhard Spisser <reinhard@spisser.it>

	* www/include/languages/Italian.tab:
	more translations

	* www/include/languages/SimplifiedChinese.tab:
	applied patch #242

	* docs/xdocs/*:
	documentation improvements

	* install
	SF->GForge

2003-03-02  Ryan T. Sammartino  <ryants@shaw.ca>

	Bug #218
	* www/snippet/submit.php: comment out links to 'Suggest New
	Language' and 'Suggest new category', marked with a FIXME
	now, until we can figure out where they really should go.

	* www/new/index.php: valid XHTML 1.0 Transitional.

	* www/include/languages/Base.tab(newe:notes_changes): use
	&amp; instead of just &.

2003-03-01  Ryan T. Sammartino  <ryants@shaw.ca>

	Bug #229
	* www/include/html.php(html_abs_image): new function.
	(html_dbimage): use html_abs_image().  XHTML-ify URL.
	(html_image): use html_abs_image().

	* www/my/bookmark_add.php: valid XHTML 1.0 Transitional.

	* www/my/bookmark_delete.php: do not go to a separate page and
	force the user to return: just update the current page and
	it is obvious the bookmark is gone.

	* www/include/bookmarks.php(bookmark_edit): add feedback.

	* www/my/bookmark_edit.php: fix site_user_header.  valid
	XHTML 1.0 Transitional.

	* www/my/diary.php: valid XHTML 1.0 Transitional.

	* www/include/languages/Base.tab
	(survey_add_question:show_existing_questions): add missing tab.
	(survey_add_question:show_existing_surveys): remove duplicate
	entry.
	(my_bookmark_edit:bookmark_updated):
	(my_bookmark_edit:failed_to_update_bookmark): new entries.

	* www/survey/admin/add_question.php: add missing "".

	* common/include/utils.php(show_priority_colors_key): valid
	XHTML 1.0 Transitional.

	* www/include/vote_function.php(show_survey): valid XHTML 1.0
	Transitional.

	* www/include/languages/Base.tab(my:no_monitored_filemodules,
	my:no_monitored_forums): valid XHTML 1.0 Transitional.

	* www/my/index.php: valid XHTML 1.0 Transitional.

2003-02-28  Reinhard Spisser <reinhard@spisser.it>

	* www/help/*
	submitting Reiner Jung's i18n of /help/

	* www/snippet/*
	submitting Reiner Jung's i18n of snippet

	* www/include/snippet_caching.php:
	i18n

	* www/include/languages/Italian.tab:
	translations of /snippet

2003-02-23  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/mail/admin/index.php: valid XHTML 1.0 Transitional.
	($change_status): order lists alphabetically.

	* www/mail/mail_utils.php: fix errors when no group id specified.
	Better error checking.

	* www/mail/index.php: valid XHTML 1.0 Transitional.

	* www/include/languages/Base.tab(mail:provided_by): XHTML-ise.


2003-02-23  Reinhard Spisser <reinhard@spisser.it>

	* www/account/change_email.php, www/account/change_email-complete.php,
	www/account/change_pw.php, www/account/first.php, www/account/lostpw.php,
	www/account/index.php:
	finished i18n

	* www/include/languages/Base.tab:
	added missing strings for /account/

	* www/include/languages/Italian.tab:
	translation of new strings for /account/

2003-02-22  Reinhard Spisser <reinhard@spisser.it>

	* www/new/index.php, www/include/languages/Base.tab:
	Committing Reiner Jung's i18n of /new/

	* www/include/languages/Italian.tab:
	l10n of new strings for /new/

2003-02-21  Reinhard Spisser <reinhard@spisser.it>

	* www/include/vote_function.php:
	i18n of survey

	* www/survey/*:
	committing Reiner Jung's i18n of survey
	some modifications added

	* www/include/languages/Base.tab,
	www/include/languages/Italian.tab:
	converted spaces to tabs

	* www/survey/admin/survey_utils.php:
	added new file

2003-02-20  Ryan T. Sammartino  <ryants@shaw.ca>

	Bug #230.
	* www/include/BaseLanguage.class(loadLanguage): use
	$sys_urlroot to get absolute path to theme specific .tab
	files.

2003-02-20  Robert B. Hawkins.

	* www/include/languages/Japanese.tab: New Japanese translations.

2003-02-17  Reinhard Spisser <reinhard@spisser.it>

	* www/people:
	committing Philippe Kiener's i18n of people

	*  www/project/admin/*.php, www/project/stats/*.php:
	i18n

	* www/stats/index.php, www/stats/graphs.php,
	www/stats/i18n.php,
	I18n of missing strings

	* www/include/languages/Base.tab:
	added new strings

	* www/include/languages/Italian.tab:
	l10n

2003-02-15  Graham Batter <graham@sandworm.ca>

	Patch #220
	* common/include/database.php(pg_connectstring): new function.
	(db_connect): use pg_connectstring().

2003-02-15  Ryan T. Sammartino  <ryants@shaw.ca>

	* etc/local.inc: Mention that sys_dbhost can be empty to use
	Unix sockets (see patch #220).

	* www/include/Layout.class(projectTabs): cvs --> scm_index for
	toptab parameter.

	* www/themes/kde/Theme.class(projectTabs): ditto.

	* common/include/utils.php(ShowResultSet): lowercase f in
	"Functional"; valid XHTML 1.0 Transitional.

	* www/forum/admin/index.php: valid XHTML 1.0 Transitional.

	* www/forum/message.php: valid XHTML 1.0 Transitional.

	* www/forum/forum.php: valid XHTML 1.0 Transitional.

	* www/forum/index.php: valid XHTML 1.0 Transitional.

	* www/themes/kde/Theme.class(listTableTop): remove reference to
	unneeded clear.png.
	(makeProjectIcon): centre the icons.
	(searchBox): Fix XHTML for searching "This Forum".

	* INSTALL: mention AcceptPathInfo on if using Apache 2.

2003-02-13  Roland Mas  <lolando@debian.org>

	* deb-specific/install-exim.sh, utils/ldap/sql2ldif.pl,
	deb-specific/gforge.schema and a few other files: adapted to
	Mailman 2.1.

2003-02-13  Reinhard Spisser <reinhard@spisser.it>

	* www/tracker/browse.php:
	i18n of some missing strings, added category_any,
	status_any and group_any strings

	* www/tracker/add.php, www/tracker/detail.php,
	www/tracker/admin.php,
	www/pm/add_task.php, www/pm/browse_task.php,
	www/pm/ganttpage.php,
	www/include/languages/Base.tab:
	i18n of some missing strings

	* www/include/languages/Italian.tab:
	l10n of new strings

2003-02-12  Reinhard Spisser <reinhard@spisser.it>

	* common/forum/Forum.class:
	removed localization of Welcome message

	* www/forum/index.php, www/forum/message.php,
	www/forum/include/ForumHTML.class:
	Moved arguments to messages in the getText() function call

	* www/forum/forum.php, common/forum/ForumMessageFactory.class:
	Removed useless localization of some error messages

	* www/docman/view.php, www/docman/include/doc_utils.php,
	www/common/docman/DocumentGroup.class,
	www/common/docman/Document.class,
	www/include/languages/Base.tab:
	i18n of some missing strings

	* www/include/languages/Base.tab,
	www/include/languages/Italian.tab:
	moving exit function choose_group_text to choose_group_title

	* www/docman/admin/index.php, www/include/languages/Base.tab:
	Moving docman_admin_groupedit strings to docman_admin_editgroups,
	i18n

	* www/account/index.php, www/include/languages/Base.tab:
	i18n account information box

	* www/include/languages/Italian.tab:
	l10n of new strings

2003-02-12 Tom Copeland <tom@infoether.com>

	* www/soap/*:
	Updated SOAP API to allow fetching a list of open bug ids and
	fetching an individual bug.  Added a "complex type" that encapsulates
	a bug.

2003-02-09  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/docman/index.php: valid XHTML 1.0 Transitional.

	* www/docman/new.php: ditto.

	* www/docman/admin/index.php: ditto.

	* www/docman/include/doc_utils.php(docman_header): valid
	XHTML 1.0 Transitional.
	(doc_droplist_count): ditto.

	* www/include/languages/Base.tab:
	developer_monitor:monitor_using_expl: add missing </p>.

	* www/developer/diary.php: valid XHTML 1.0 Transitional.

	* www/themes/kde/Theme.class(boxTop, boxBottom): clean up.

	* db/20030209.sql: New file.  Reimplements functionality of
	20030109.sql in a way that works for all pgsql > 7.0.

	* www/themes/kde/Theme.class(projectTabs): do not display tracker
	icon, FRS icon if the project is not using them.

2003-02-09 Reinhard Spisser <reinhard@spisser.it>

	* www/admin/*,
	www/include/languages/Base.tab,
	www/include/languages/Italian.tab:
	Submitting Reiner Jung's localization of admin

	* www/include/User.class:
	Fixing bug #212: get error on update adding jabber address

2003-02-08 Reinhard Spisser <reinhard@spisser.i>

 	* www/scm/index.php,
 	www/include/languages/Base.tab:
 	Submitting Reiner Jung's localization of scm
 	Moved cvs strings to scm_index
 	Added strings to localize developername and modulename

 	* www/include/languages/Italian.tab:
 	Translation of scm_index strings

2003-02-07 Reinhard Spisser <reinhard@spisser.it>

	* www/softwaremap/trove_list.php,
	www/include/languages/Base.tab,
	www/include/languages/Italian.tab:
	Localization of softwaremap

	* www/top/*, www/include/languages/Base.tab,
	www/include/languages/French.tab:
	Submitting Philippe Kiener's patch for localization
	of top/

	* www/include/languages/Italian.tab:
	adding new strings for localization of top

2003-02-06 Reinhard Spisser <reinhard@spiser.it>

	* www/include/project_home.php,
	www/include/languages/Base.tab,
	Localizing some strings

	* www/stats/*
	www/include/language/Base.tab:
	Committing Reiner Jungs'  localization of stats

	* www/include/languages/Italian.tab:
	Translation in italian of new strings

2003-02-05  Roland Mas  <lolando@debian.org>

	* www/include/languages/French.tab: some more translations, trying
	to keep up with Reinhard's work...

2003-02-04 Reinhard Spisser <reinhard@spisser.it>

	* common/tracker/*,
	www/tracker/index.php,
	Localization of the tracker

2003-02-03 Reinhard Spisser <reinhard@spisser.it>

	* www/include/vote_function.php:
	<b> to <strong> for xhtml compliance

	* common/pm/ProjectTask.class:
	removing localized and buggy version of the
	notify message

	* www/include/languages/Base.class
	inserted missing strings for registration


2003-02-03 Reinhard Spisser <reinhard@spisser.it>

	* www/tracker/reporting/index.php,
	www/include/languages/Base.tab,
	www/include/languages/Italian.tab,
	www/include/tool_reports.php,
	www/include/html.class:
	Localization of the tracker

2003-02-02  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/include/languages/Spanish.tab: many new translations.

	* www/tracker/index.php: remove extra word.

	* www/include/languages/Base.tab: tracker_artifacttype:nobody
	New string.
	tracker:resolution Add missing string.
	tracker:date Fix spelling.

	* www/tracker/include/ArtifactTypeHtml.class: none -> nobody
	for technician.

	* www/include/exit.php(exit_assert_object): declare $Language
	as a global.
	(exit_error): use lower-case global.

	* www/themes/osx/Theme.class(listTableTop): no height attribute
	for tr tag in XHTML.

	* www/themes/kde/Theme.class(listTableTop): ditto plus remove
	erroneous </a> tag.

	* www/admin/index.php: valid XHTML 1.0 Transitional.

	* www/admin/search.php: ditto.

	* www/admin/trove/trove_cat_edit.php: ditto.

	* www/admin/massmail.php: ditto.

	* www/admin/admin_table.php: ditto.

	* www/admin/admintabfiles.php: ditto.

	* www/admin/database.php: ditto.

	* www/news/admin/index.php: ditto.


2003-02-02 Reinhard Spisser <reinhard@spisser.it>

	* www/tracker/browse.php, www/tracker/add.php,
	www/tracker/index.php, www/tracker/detail.php,
	www/tracker/taskmgr.php, www/tracker/mod.php,
	www/tracker/include/ArtifactHtml.class,
	www/tracker/include/ArtifactTypeHtml.class
	www/tracker/admin/index.php, www/include/languages/Base.tab,
	www/include/languages/Italian.tab
	Localization of the tracker

2003-02-01  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/project/admin/editgroupinfo.php: limit "Descriptive Group
	Name" to 40 characters (as it is limited in the database).

2003-01-30  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/themes/kde/Theme.class: Localise toolbar; change search
	button into image; minor other cleanups.

	* www/include/Layout.class: XHTML-ise search options.

	* www/themes/kde/Theme.class: new KDE-ish theme.

	* www/my/index.php: use $HTML->imgroot to get current theme's
	icons.

2003-01-29  Ryan T. Sammartino  <ryants@shaw.ca>

	* common/docman/DocumentFactory.class: fix syntax error.

2003-01-28 Reinhard Spisser <reinhard@spisser.it>

	* www/register/projectinfo.php, www/include/languages/Base.tab,
	www/include/languages/Italian.tab:
	Localization

2003-01-28 Tom Copeland <tom@infoether.com>

	* www/soap/*: Added new operations to support authentication and
	adding/updated bugs

	* common/tracker/ArtifactTypeFactory.class: Added some new DAOish
	functions.

2003-01-26  Ryan T. Sammartino  <ryants@shaw.ca>

	* common/include/utils.php(util_send_message): remove duplicated
	code.
	(util_handle_message): do not send messages to "Nobody".

2003-01-25  Ryan T. Sammartino  <ryants@shaw.ca>

	* cronjobs/mail/mailing_lists_create.php: lowercase all list names,
	do not call "add_alias.php".

	* www/snippet/browse.php: remove extra line feed at top of file,
	fix bug #185.

2003-01-25  Reinhard Spisser   <reinhard@spisser.it>

	* www/pm/reporting/index.php,
	www/include/tool_reports.php, www/pm/admin/index.php,
	common/pm/*, www/include/html.php, www/include/Layout.class,
	www/include/html.php, www/source.php
	Localization

2003-01-24  Reinhard Spisser   <reinhard@spisser.it>

	* www/404.php, www/sendmessage.php, www/users,
	www/include/user_home,php, www/include/exit.php,
	common/docman/Document.class,
	common/docman/DocumentGroup.class,
	common/frs/FRSFile.class, common/frs/FRSRelease.class
	common/frs/FRSPackage.class,
	www/project/filemodule_monitor.php, www/project/memberlist.php
	Localization

	* www/pm/index.php, www/pm/browse_task.php, www/pm/add_task.php,
	www/pm/mod_task.php, www/include/ProjectGroupHTML.class,
	www/pm/include/ProjectTaskHTML.class, www/pm/task.php,
	www/pm/ganttpage.php:
	Localization


	* www/project/showfiles.php: removed unused code, Localization

	* common/include/Error.class: new setMissingParamsError()


2003-01-24  Michael Jennings  <mej@eterm.org>

	* gforge.spec:  New spec file for GForge.  This is, of course,
	still very much beta.

2003-01-22  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/include/languages/Spanish.tab: more translations, sorted the
	file to more easily find strings, spell check again.

	* www/project/admin/editrelease.php: what happens when no
	file is uploaded seems to be browser specific (?)... catch
	more cases.

2003-01-21  Ryan T. Sammartino  <ryants@shaw.ca>
	    Kenia L. Sammartino  <kenia@shaw.ca>

	* www/include/languages/Spanish.tab: thorough review of all
	strings; tu --> usted, many spelling mistakes fixed, proper
	XHTML tags.

2003-01-21  Reinhard Spisser   <reinhard@spisser.it>

	* www/include/project_home.php: removed obsolete foundry stuff
	Localization

	* common/include/utils.php: Localization

	* www/include/languages/Base.tab, www/include/languages/Italian.tab:
	Added strings for localization of project homepage and my/

	* www/include/exit.php, www/include/features_box.php,
	www/include/project_summary.php, www/my/bookmark_add.php,
	www/my/bookmark_delete.php, www/my/bookmark_edit.php,
	www/my/rmproject.php, www/my/diary.php, www/developer/diary.php,
	www/developer/diary.php:
	Localization


	* www/developer/monitor.php: correctly escaped strings, localization

2003-01-20  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/include/languages/Spanish.tab: change all HTML entities
	into proper accented characters; fix some XHTML issues.

2003-01-19  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/account/unsubscribe.php: fix syntax error.

	* www/account/editsshkeys.php: valid XHTML 1.0 Transitional.

	* www/account/login.php: ditto.

	* www/account/lostlogin.php: ditto.

	* www/account/lostpw.php: ditto.

	* www/account/verify.php: ditto.

	* www/include/languages/Base.tab: XHTML-ise account/ strings.

	* www/include/languages/Spanish.tab: ditto.

	* INSTALL: it is possible to install gforge without having to edit
	/etc/php.ini: add instructions for people who do not like to edit
	their php.ini file.  Also reformat paragraphs so that they wrap at
	column 79.  Also mention the "createlang" step.  Remove
	recommendation about ob_gzhandler, since following that advice
	causes PHP to spew warnings at the bottom of each page (we already
	load ob_gzhandler dynamically in pre.php).

2003-01-18  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/include/languages/Spanish.tab: bunch o' translations.

	* utils/missing_L10n.pl: new file.

	* www/404.php: valid XHTML 1.0 Transitional.

	* www/sendmessage.php: ditto.

	* www/account/index.php: ditto.

	* www/include/html.php: ditto.

	* www/include/languages/Base.tab: valid XHTML 1.0 Transitional
	for several strings.

	* www/people/editjob.php: Audit: escape special characters from
	user input before submitting to database.

	* common/frs/FRSPackage.class: ditto.

	* common/docman/DocumentGroup.class: ditto.

	* common/tracker/ArtifactType.class: ditto.

	* common/tracker/ArtifactGroup.class: ditto.

	* common/tracker/ArtifactCategory.class: ditto.

	* common/include/User.class: ditto.

	* common/include/Group.class: ditto.

	* common/frs/FRSRelease.class: ditto, plus re-fetch data on
	update.

	* www/project/admin/editrelease.php: ditto, plus fix bogus
	warning about "file upload attack".

2003-01-17  Reinhard Spisser   <reinhard@spisser.it>

	* www/forum/*: there were still a lot of unlocalized strings.
	Now there should be no more hardcoded strings. The forum
	localization should be now complete.

	* www/include/languages/Base.tab: Added labels for forums
	and general error messages

	* www/include/languages/Italian.tab: Added translations for italian

	* common/include/Error.class:	added new localized Error functions
	setPermissionDeniedError(),setInvalidEmailError(),setOnUpdateError(),
	setGroupIdError(). These functions can be used by all classes that
	subclass Error.class, and instead of setting
	$this->setError("Permission Denied"), they should call
	$this->setPermissionDeniedError()

	* common/forum/*:	localized Forum classes
	All hardcoded strings are replaced with calls to getText()

	* common/docman/*:	added calls to new localized Error functions

2003-01-17 Tom Copeland <tom@infoether.com>

	* www/scm/index.php, etc/local.inc: Added new sys_cvs_single_host system
	variable that gives all projects the same CVS hostname.  Set it up
	as being on - i.e., everyone gets the same hostname - by default.

2003-01-16  Roland Mas  <lolando@debian.org>

	* www/include/languages/*.tab: Recoded everything to UTF-8.

2003-01-15  Reinhard Spisser   <reinhard@spisser.it>

	* www/include/languages/Base.tab: added forum labels

        * www/forum/*: localized forum

        * www/include/languages/Italian.tab: translations of new forum strings

2003-01-15  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/include/languages/Spanish.tab: translations for Reinhard's
	new strings.

2003-01-15

	***** PRE9

2003-01-15  Roland Mas  <lolando@debian.org>

	* common/include/Plugin.class: PHPdoc.

	* common/include/PluginManager.class: ditto.  Also, moved code to
	pre.php.

	* www/include/pre.php: Added code from PluginManager.class.

	* db/20021214.sql: Added plugin subsystem tables and sequences.

2003-01-14  Roland Mas  <lolando@debian.org>

	* www/include/Layout.class: Split subMenu() into BeginSubMenu(),
	PrintSubMenu() and EndSubMenu().  subMenu() still exists, and
	calls these three methods in a row, giving the same net result.

	* www/include/html.php: Replaced the call to subMenu() in
	site_user_header by successive calls to the three aforementioned
	methods, with a plugin hook in-between.

	* deb-specific/install-postfix.sh: Applied patch #102 by Julien
	Goodwin.  Should have a better chance of a working
	gforge-mta-postfix now.  Thanks, Julien.

2003-01-13 Reinhard Spisser (reinhard@spisser.it)

	* www/docman/*: fully localized

	* www/include/languages/Base.tab: added missing strings

	* www/include/language/Italian.tab: Italian Docman Localization

2003-01-13 Tom Copeland <tom@infoether.com>

	* www/survey/admin/add_survey.php: Survey title is now a required field.

	* www/project/admin/qrs.php: File name/type/release name/processor
	type are now required fields.

2003-01-13  Tim Perdue (tim@gforge.org)

	* more simplication of db_stats_agg.php by creating views

2003-01-13  Scott Armstrong (scottbird7)

	* Fixed/completed /cronjobs/mail/* mailing list and alias creation
	scripts.

2003-01-12  Ryan T. Sammartino  <ryants@shaw.ca>

	* README.Custom: update theme info add add info about "include".

	* www/include/languages/Latin.tab: new file.

	* db/20030112.sql: add Latin as a supported language.

2003-01-11  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/account/index.php: Display new language immediately.

	* www/include/languages/PortugueseBrazilian.tab: use new include
	functionality to get default strings from Portuguese.

	* www/include/languages/Portuguese.tab: add missing newline.

	* www/include/languages/Base.tab: move Savannah-specific strings
	into their own .tab files.

	* www/include/languages/Spanish.tab: ditto.

	* www/themes/savannah_*/{Base,Spanish}.tab: new files with
	Savannah-specific strings.

	* www/include/BaseLanguage.class(loadLanguage): allow
	customisations of strings on a per-theme basis.
	(loadLanguageFile): implement "include" functionality.

	* www/survey/survey_resp.php: Audit: escape special characters
	from user input before submitting to database.

	* www/survey/admin/edit_survey.php: ditto.

	* www/survey/admin/add_survey.php: ditto.

	* www/survey/admin/add_survey.php: add missing <, don't display
	empty table if there are no existing surveys.

	* www/new/index.php: use new frs_dlstats_grouptotal_vw

	* www/include/features_boxes.php(show_top_downloads): use new
	frs_dlstats_grouptotal_vw.

	* cronjobs/db_stats_agg.php: remove file download stat
	calculations.

	* db/20030112.sql: new file.

	* common/frs/FRSRelease.class(create): yet another pg_atoi fix.

2003-01-10  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/themes/osx/Theme.class: valid XHTML 1.0 Transitional.

	* www/news/news_utils.php: make project summary valid XHTML 1.0
	Transitional.

	* www/include/trove.php: ditto.

	* www/include/Layout.class: ditto.

	* www/include/project_home.php: ditto.

	* www/include/html.php: make / valid XHTML 1.0 Transitional.

	* www/include/Layout.class: ditto.

	* www/include/languages/Base.tab: ditto.

	* common/include/utils.php: ditto.

	* www/index_std.php: ditto.

	* www/news/news_utils.php: ditto.

	* www/my/diary.php: bug 158: pg_atoi when inserting diary entry.

	* common/include/utils.php(util_make_links): exclude <> from
	URL regexp to avoid sucking in the <br /> tag.

	* www/include/html.php(html_image): XHTML compliance: <img> tag
	fixup

	* www/forum/include/ForumHTML.class: revert nl2br changes.

2003-01-10  Edward Ritter

	* Gargantuan patch to lower-case and bring our entire HTML
	within the realm of being XHTML-compliant. Significant refinement
	is still necessary to be 100% compliant.

2003-01-10  Tom Copeland <tom@infoether.com>

	* www/account/register.php,
	www/tracker/add.php,
	common/include/utils.php
	www/forum/include/ForumHTML.class: Began work on task #63 - adding a
	red * to all required fields.

2003-01-09  Ryan T. Sammartino  <ryants@shaw.ca>

	* common/include/session.php(session_issecure, session_redirect):
	use $HTTP_SERVER_VARS instead of $_SERVER.
	* db/20030109.sql: new file.
	* www/include/project_summary.php: use project_sums_agg table for
	fora and forum message count.
	* www/news/news_utils.php: use forum_group_list_vw to get number
	of comments.

2003-01-9  Jim Nutt

	* www/scm/index.php Cleanup/set to use Group object.

2003-01-08  Ryan T. Sammartino  <ryants@shaw.ca>

	* common/include/utils.php(util_make_links): Change e-mail
	regular expression so that e-mails must either start a line
	or be preceeded by whitespace.  This prevents URLs that
	contain e-mail addresses from getting messed up (e.g.
	http://mailman/user=foo@bar.com).

	* www/forum/include/ForumHTML.class: first call util_make_links,
	then do nl2br.  This prevents <br /> from becoming part of a URL
	that is at the end of a line.

	* www/admin/trove/trove_cat_edit.php,
	www/admin/trove/trove_cat_add.php,
	common/pm/ProjectCategory.class, www/include/bookmarks.php: Audit:
	escape special characters from user input before submitting to
	database.

2003-01-07 Tom Copeland <tom@infoether.com>

	* Added "submitted by" info to the task detail view.  Modified project_task_vw
	to include user name and realname from user table.  [tom] DB changes are in
	20030107.sql.

2003-01-06  Richard Offer

	* www/include/Layout.class, www/project/showfiles.php: patch #134:
	fix bug #131 - fix bad quotes and missing close bracket.

2003-01-06 Tom Copeland <tom@infoether.com>

	* Modified tracker monitor buttons so they show current monitoring status.

2003-01-05 Richard Offer

	* Contributed OSX theme.  [tom] DB changes (along with some other misc changes)
	are in 20030105.sql.

2003-01-05  Roland Mas  <99.roland.mas@aist.enst.fr>

	* Removed uuencoded image files.  They are not needed anymore
	after a new upstream release.

2003-01-04  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/pm/calendar.php: show tasks in calendar.

	* www/pm/{add_task,mod_task}.php: update link to View Calendar.

	* www/include/languages/{Base,Spanish}.tab: new entries for
	calendar tasks.

	* www/include/languages/Base.tab: Bug 123: tabify "conf" entries.

	* www/my/index.php: Bug 120: fix link to unmonitor file

	* www/pm/task.php www/forum/save.php www/forum/new.php
	www/forum/monitor.php www/project/filemodule_monitor.php
	docs/xdocs/xdocs/contributions/templating.xml: fix typo:
	exit_missing_params --> exit_missing_param

2003-01-02  Tim Perdue <tim@gforge.org>

	* Added interface to tracker so you can build relationships w/Task
	manager.  [tom] DB changes are in 20030102.sql and 20030102-drops.sql.

2003-01-02  Tim Perdue <tim@gforge.org>

	* Complete rewrite of doc mgr in GForge coding guidelines.

2003-01-02  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/survey/adminedit_survey.php: sanity checks when posting
	changes.
	* www/themes/savannah/SavannahTheme.class: missing close quotes.

2003-01-01  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/themes/savannah/menu.php: new file.
	* www/themes/savannah/SavannahTheme.class: new file.
	* www/themes/savannah_*/Theme.class: make these derived classes of
	SavannahTheme.

2002-12-31  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/include/Layout.class: optionally add "Show Source" link to
	bottom of each page.
	* www/source.php: new file.
	* etc/local.inc: add $sys_show_source option.
	* db/20021223.sql: Patch 97: drop project_task_vw before create.
	* www/pm/calendar.php: change output to valid XHTML 1.0 with HTML
	4.0 compatability.

2002-12-30  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/pm/index.php, www/pm/admin/index.php: Bug 96: fix spuriours
	errors when no subprojects are defined.
	* common/include/User.class: Fix pg_atoi problem.

2002-12-29  Ryan T. Sammartino  <ryants@shaw.ca>

	* www/pm/calendar.php: rewrite.
	* www/include/languages/Base.tab: add translations for calendar.
	* www/include/languages/Spanish.tab: ditto.
	* www/include/languages/Italian.tab: ditto.
	* www/include/languages/Japense.tab: ditto.
	* common/forum/Forum.class: patch 69: Allow non-site-wide admins
	to post news
	* cronjobs/{check_stale_tracker_items.php, db_project_sums.php,
	massmail.php,project_weekly_metric-backfill.php,
	stats_projects-backfill.php}: Commonise magic headers to
	'#! /usr/bin/php4 -f'

2002-12-24  Tim Perdue <tim@gforge.org>

	* Gantt charting added and more debugging of new Project Manager.

2002-12-23  Tim Perdue <tim@gforge.org>

	* Committing first working version of new Project Manager.
	Still needs more testing and coding.

2002-12-14  Tim Perdue <tim@gforge.org>

	* Complete rewrite of FRS using OO style and coding guidelines.
	Same form and design as tracker.

2002-12-13  Tim Perdue <tim@gforge.org>

	* Quick changes to doc manager to protect binary safe uploads /
	downloads. Must run a PHP script to migrate your data from pre6
	to pre7. The script is in db/doc_data-migrate.php

2002-12-12  Tim Perdue <tim@gforge.org>

	* Added skills/profile system patch submitted by John Maguire

2002-12-09  Tim Perdue <tim@gforge.org>

	* Complete forum rewrite using OO style and coding guidlines.
	Same form and design as Tracker system.

2002-12-07  Tim Perdue <tim@gforge.org>

	* Moved html_build_list_table_top() into Layout.class, and
	created listTableBottom(), so they can be easily themed.

2002-12-06  Tim Perdue <tim@gforge.org>

	* Jabber Support working. Tracker updates and Forum Posts
	are now set to use the jabber system. Much more integration
	needs to be done.

2002-11-28  Tim Perdue <tim@gforge.org>

	* Cleaned up and simplied File Release System. Still needs
	serious OO rewrite, however it is no longer dependent on
	setuid "fileforge" and "tempfileforge".

2002-11-25  Tim Perdue <tim@gforge.org>

	* Removed hacky "theming" system and rewrote Layout.class
	with new sitewide theme. New theming system can be based on
	extending Layout.class as they did before. Renamed several
	function calls in Layout.class.

	* Foundries and all related code removed

2001-07-13  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* www/include/logger.php: We should allow to access groups
	with 'Holding' status.
	* www/search/index.php: Ditto.

2001-07-09  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* common/include/utils.php(util_check_fileupload): New
	function, checks that file is in fact was uploaded by user
	and may be safely used without compromising system.
	* www/docman/new.php, www/project/admin/editimages.php,
	www/project/admin/editreleases.php, www/project/admin/qrs.php,
	www/tracker/include/ArtifactFileHtml.class: Use that function.

2001-07-08  Tim Perdue  <tim@perdue.net>

	* Quick patch of massive gaping security hole where uploaded
	files were not verified before being read in.

2001-07-01  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* TARBALL: Cleaned up somewhat, made leave /tmp/scratch
	in place of manual cleanup.

2001-06-29  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* www/project/stats/stats_graph.png: Use proper units names.

2001-06-29  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* www/project/stats/stats_graph.png: Use proper units names.

2001-06-28  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* www/include/html.php(html_dbimage): Allow to pass in
	additional attributes, like to html_image().

2001-06-26  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* www/account/{change_email.php,change_email-complete.php}:
	Check exit status.
	* www/admin/useredit.pgp: Ditto.

	* www/project/admin/userpermedit.php: Provide more obvious
	error message.

2001-06-26  James Byers  <jbyers@linux.com>

	* new optionally encrypted cookie with username set on login

	* login redirection system allows non-local URLs

	* addition of jobs.osdn.com links, front page text

2001-06-22  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* common/include/User.class(setShell): Validate argument.

	* common/include/User.class: Add SQL error message for
	DB-related errors.

2001-06-22  Tim Perdue  <tim@perdue.net>

        * Fixed subtle bug in tracker where you could get an artifact to
	display right and update 1/2 right, but not completely right,
	if you mangled the URL. Also added Site Admin debug code so
	logged in admins can see query strings at the bottom of the page.

2001-06-19  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* common/include/User.class(setPasswd): Validate argument.

	* www/admin/useredit.php: Show current value of the confirm
	hash.

2001-06-19  James Byers <jbyers@linux.com>

	* updated administrative files, db/ files with header comment

	* added generic terms, privacy statement

2001-06-18  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* common/include/User.class(setStatus): Validate argument.

2001-06-14  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* common/include/utils.php(util_make_links): Do not include
	<> delimiters in URL.

2001-06-12  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* www/project/admin/qrs.php: Allow release technicians to access
	this page.

	* www/search/index.php: Within artifact search SQL, order
	WHERE conditions properly.

2001-06-12  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* www/include/BaseLanguage.class(loadLanguage): Add support
	for comments in message catalogs ('#' as the first char of line).

	* www/sendmessage.php: Provide proper substs for headers.

2001-06-11  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* www/tracker/mod.php: Pass group name as arg to
	header.

2001-06-09  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* www/partners.php, www/include/languages/Base.tab: Fix
	last place where raw PHP code was stuffed in msgcat.

2001-06-08  James Byers  <jbyers@linux.com>

	* Changed export/rss_foundry_news.php to include group
	and user information

	* Created TARBALL process document

2001-06-08  Darrell Brogdon  <dbrogdon@valinux.com>

	* (including 6/6 commits) ...

2001-06-07  Tim Perdue  <bigdisk@sourceforge.net>

	* (including 6/6 commits) ...

2001-06-01  Darrell Brogdon  <dbrogdon@valinux.com>

	* ...

2001-05-31  Tim Perdue  <bigdisk@sourceforge.net>

	* cronjobs/project_weekly_metric.php - fixed replication
	issue that interfered with including download counts in
	activity metric.

2001-05-30  Darrell Brogdon  <dbrogdon@valinux.com>

	* ...

2001-05-30  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* www/account/lostlogin.php: Typo fix.

	* www/account/lostlogin.php: Invalidate confirm hash on
	successful operations.

	* www/include/BaseLanguage.class(loadLanguage): Remove
	trailing newline from strings to be returned by getText().

	* common/include/User.class(setNewEmailAndHash): Add
	convenient feature: if hash value is 0, then generate
	it randomly inline.

	* www/account/lostpw.php, www/include/languages/Base.tab:
	Add code to unquote/perform substitutions on mail message
	from message catalog.

2001-05-25  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* common/include/account.php (account_salt): Move local
	functions out - PHP re-defines local function each time
	enclosing function is evaluated, so it cannot be called
	more than once.

	* www/users: Do not allow to access page for non-active
	users.

	* www/include/user_home.php: Fix phpfault when accessing
	while not logged in.

2001-05-24  Darrell Brogdon  <dbrogdon@valinux.com>

	* Added rss_osdnnews.php

2001-05-23  James Byers  <jbyers@linux.com>

	* tagged at SF_2_6_0

	* rotated ChangeLog

2001-03-25  Adrian Aichner  <adrian@xemacs.org>

	* many files: Typo fixes.

2000-12-06  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* bugs/bug_data.php,index.php: Fix bug when any bug update
        by bug admin resulted in two mail notifications: once for
        properties change and once for comment.

        * search/index.php: Added parameter aliases and defaults.
        Finished RSS exports.

2000-12-05  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* account/index.php: Add "remember me" checkbox.
        * account/updateprefs.php: Depending on its value, either
        set 'sf_user_hash' cookie or clear it.
        * my/index.php: if sf_user_hash cookie set with correct hash,
        allow user to view the page.

        * include/User.class: Added getMD5Passwd() method.

2000-11-27  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* include/Group.php, project/admin/userperms.php: Member role
        selection based on help wanted categories.

2000-11-22  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* project/admin/editpackages.php,editreleases.php,index.php,
        newrelease.php, project_admin_utils.php: Functionality of the
        file release privilege: 1. Allow any project member to access
        admin page, but allow only admin to perfom tasks; 2. Allow
        user with file release privilege access Add/Edit Release page,
	but allow only to modify releases, not packages.

        * include/html.php: fix obscure bug when static error message
        was shoen instead of real one.

2000-11-21  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* include/Group.php, project/admin/userperms.php: File release
        privilege storing and UI.

2000-11-13  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* include/HTML_Graphs.php: horizontal_multisection_graph(): render
        horizontal graph consisting of multiple colored sections.
        graph_calculate_scale(): calculate scale for such graphs.

        * project/stats/project_stats_utils.php: period2seconds(),
        period2sql(): functions to deal with time periods.

        * include/tool_reports.php: library for tool reporting.

2000-11-09  Paul Sokolovsky  <pfalcon@sourceforge.net>

	* include/utils.php: util_result_columns_to_assoc(): converts
        db result set into associative array.

2000-10-27  Paul Sokolovsky  <pfalcon@users.sourceforge.net>

	* project/admin/index.php: make fact that admins cannot be
	deleted explicitly visible by showing crossed trash icon.

2000-10-20  Paul Sokolovsky  <pfalcon@users.sourceforge.net>

	* include/User.class: getUnixStatus() added.

        * admin/approve_pending.php: Added LDAP support. For this,
        update each group individually instead of in mass. Also, some
        UI tweaks: now it's possible to approve projects individually,
        fields are shown somewhat cleaner. Since data now doubled
        between SQL and LDAP, steps to detect inconsistencies are
        performed with (hopefully) proper diagnostics (including
        preserving LDAP error descriptions in status_comment of
        group) and rudimentary auto-repair.

        * include/Error.class: Allow error messages to accumulate.

        * include/Group.class: addUser() and removeUser() LDAPized.

        * admin/groupedit.php: LDAPized.


2000-10-19  Geoffrey Herteg  <gherteg@users.sourceforge.net>

	* pm/pm_util.php: added mail_followup() to mail followups to
			  task owner and assigned developers...

	* pm/pm_data.php: modified pm_data_create_task() and
			  pm_data_update_task() to call mail_followup()
			  if create/update successful.

2000-10-19  Paul Sokolovsky  <pfalcon@users.sourceforge.net>

	* include/ldap.php: module for LDAP support.

        * DB: groups: new column 'status_comment', should provide
        some explaination (for human) while group in given status.

2000-10-18  Paul Sokolovsky  <pfalcon@users.sourceforge.net>

	* include/User.class: user_get_object() can take either
        $user_id or $res.

2000-10-17  Paul Sokolovsky  <pfalcon@users.sourceforge.net>

        * DB: user_group: add 'cvs_flags' column to hold CVS
        permissions.
	* project/admin/userperms.php: Add CVS access selector
        for read, write, admin permissions (accumulated).
        Reformat and add more roles descriptions.
        * include/Group.class: make updateUser() method take
        additional argument - cvs permissions (0,1,2 for read,
        write, admin).

2000-10-15  Paul Sokolovsky  <pfalcon@users.sourceforge.net>

	* include/menu.php: Make docs link bold.
	* account/first.php: Make docs link bold.

2000-10-14  Paul Sokolovsky  <pfalcon@users.sourceforge.net>

	* pre.php: If run without supported_languages table,
	mod_php died on including the directory instead of
	language class. Bad behaviour, almost as segfault of
	C app. Fixed.

2000-10-11  Paul Sokolovsky  <pfalcon@users.sourceforge.net>

	* Russian.class: File submitted by me was magically
        converted to windows-1251 encoding. Turn back to
        iso-8859-5.
